Subject: bug#16993: advice-add hides docstring

From: Stefan <[email-masked]>
Date: Thu, 20 Mar 2014 08:56:16 -0400

>> We can either fix it by teaching Snarf-documentation about advised
>> function (yuck!) or by not advising functions that are documented in
>> DOC.  IOW the right fix is to get rid of those advices in uniquify.el.
> IIUC, you're not proposing to delay the advice-add calls, but remove
> them altogether.

Right.

> How would you re-implement the current functionality so rename-buffer
> and create-file-buffer still respect uniquify? Some kind of hook in
> these functions?

I haven't looked at it yet, but last time I looked at removing
uniquify's advices (that was many years ago), I couldn't come up with
a good hook, so I expect that we'll "simply" change the current
code of those 2 functions by adding explicit calls to uniquify.

        Stefan